## QmiClientDms

QmiClientDms — QmiClient for the DMS service.

## Signals

void | event-report | Run Last

## Types and Values

struct | QmiClientDms

## Object Hierarchy

        GObject
        ╰── QmiClient
            ╰── QmiClientDms

## Description

QmiClient which handles operations in the DMS service.

## Functions

## Types and Values

### struct QmiClientDms

    struct QmiClientDms;

The QmiClientDms structure contains private data and should only be accessed using the provided API.

Since: 1.0

## Signal Details

### The `“event-report”` signal

    void
    user_function (QmiClientDms                      *object,
                   QmiIndicationDmsEventReportOutput *output,
                   gpointer                           user_data)

The ::event-report signal gets emitted when a 'Event Report' indication is received.

#### Parameters

object | A QmiClientDms. |
output | A QmiIndicationDmsEventReportOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.0